Lente
Submeter imagem para análise
Verifica o arquivo enviado, aplica a cobrança e inicia o processamento.
POST
/
lente
/
analyses
/
{analysis_id}
/
submit
Submeter imagem para análise
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "lente_analysis",
"mode": "geo",
"status": "awaiting_upload",
"file": {
"media_type": "image/jpeg",
"size_bytes": 123,
"sha256": "<string>",
"upload_status": "pending"
},
"billing": {
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"artifacts": [
{
"id": "<string>",
"type": "input_image",
"status": "available",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"available_until": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upload": {
"method": "PUT",
"url": "<string>",
"headers": {},
"expires_at": "2023-11-07T05:31:56Z"
},
"result": {},
"failure": {},
"poll_after_seconds": 123,
"submitted_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Maximum string length:
255Path Parameters
Response
Análise aceita para processamento
Available options:
lente_analysis Available options:
geo, face Available options:
awaiting_upload, queued, running, completed, failed, cancelled, expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Presente enquanto o arquivo aguarda envio.
Show child attributes
Show child attributes
Hipóteses e evidências do modo selecionado.
⌘I
Submeter imagem para análise
curl --request POST \
--url https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://221b-api.sherlocker.com.br/api/v1/lente/analyses/{analysis_id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "lente_analysis",
"mode": "geo",
"status": "awaiting_upload",
"file": {
"media_type": "image/jpeg",
"size_bytes": 123,
"sha256": "<string>",
"upload_status": "pending"
},
"billing": {
"status": "not_charged",
"amount": 123,
"unit": "tokens"
},
"artifacts": [
{
"id": "<string>",
"type": "input_image",
"status": "available",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z",
"available_until": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"upload": {
"method": "PUT",
"url": "<string>",
"headers": {},
"expires_at": "2023-11-07T05:31:56Z"
},
"result": {},
"failure": {},
"poll_after_seconds": 123,
"submitted_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}{
"status": 123,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"retryable": true
}